# Copyright (C) 2007-2008 Red Hat, Inc.
#
# This program is free software; you can redistribute
# it and/or modify it under the terms of version 2 of the
# GNU General Public License as published by the
# Free Software Foundation.

FENCE_POWER_CONTROLLERS = (
	'fence_wti',
	'fence_apc',
	'fence_apc_snmp'
)

FENCE_OPTS = {
	'fence_apc':			'APC Power Device',
	'fence_wti':			'WTI Power Device',
	'fence_brocade':		'Brocade Switch',
	'fence_vixel':			'Vixel SAN Switch',
	'fence_gnbd':			'Global Network Block Device',
	'fence_sanbox2':		'QLogic SANBox2',
	'fence_bladecenter':	'IBM Blade Center',
	'fence_mcdata':			'McDATA SAN Switch',
	'fence_egenera':		'Egenera SAN Controller',
	'fence_bullpap':		'Bull PAP',
	'fence_xvm':			'Virtual Machine Fencing',
	'fence_scsi':			'SCSI Reservation',
	'fence_ilo':			'HP iLO Device',
	'fence_ipmilan':		'IPMI Lan',
	'fence_drac':			'Dell DRAC',
	'fence_rsa':			'IBM RSA II Device',
	'fence_rps10':			'RPS10 Serial Switch',
	'fence_lpar':			'LPAR Fencing',
	'fence_vmware':			'VMware Fencing',
	'fence_manual':			'Manual Fencing'
}

FENCE_SHARED = {
	'fence_apc':			True,
	'fence_wti':			True,
	'fence_brocade':		True,
	'fence_vixel':			True,
	'fence_gnbd':			True,
	'fence_sanbox2':		True,
	'fence_bladecenter':	True,
	'fence_mcdata':			True,
	'fence_egenera':		True,
	'fence_bullpap':		True,
	'fence_xvm':			True,
	'fence_scsi':			True,
	'fence_lpar':			True,
	'fence_vmware':			True,
	'fence_ilo':			False,
	'fence_ipmilan':		False,
	'fence_drac':			False,
	'fence_rsa':			False,
	'fence_rps10':			False,
	'fence_manual':			False
}

PRETTY_NAME_ATTRS = {
	'port':					'Port',
	'blade':				'Blade',
	'switch':				'Switch',
	'ipaddr':				'IP Address',
	'ipaddress':			'IP Address',
	'nodename':				'Node Name',
	'lpan':					'LPAN',
	'lanplus':				'Lanplus',
	'pserver':				'PServer',
	'login':				'Login',
	'passwd':				'Password',
	'name':					'Name',
	'server':				'Server',
	'domain':				'Domain',
	'hostname':				'Hostname',
	'path':					'Path',
	'cserver':				'CServer'
}

FENCE_FI_ATTRS = {
	'fence_apc':			( 'port', 'switch' ),
	'fence_wti':			( 'port' ),
	'fence_brocade':		( 'port' ),
	'fence_vixel':			( 'port' ),
	'fence_gnbd':			( 'ipaddress' ),
	'fence_sanbox2':		( 'port' ),
	'fence_bladecenter':	( 'blade' ),
	'fence_mcdata':			( 'port' ),
	'fence_egenera':		( 'lpan', 'pserver' ),
	'fence_bullpap':		( 'domain' ),
	'fence_xvm':			( 'domain' ),
	'fence_scsi':			( 'node' ),
	'fence_lpar':			( 'partition' ),
	'fence_vmware':			( 'port' ),
	'fence_ilo':			( ),
	'fence_ipmilan':		( ),
	'fence_drac':			( ),
	'fence_rsa':			( ),
	'fence_rps10':			( ),
	'fence_manual':			( )
}

FENCE_FD_ATTRS = {
	'fence_apc':
		( 'name', 'ipaddr', 'login', 'passwd' ),
	'fence_wti':
		( 'name', 'ipaddr', 'passwd' ),
	'fence_brocade':
		( 'name', 'ipaddr', 'login', 'passwd' ),
	'fence_vixel':
		( 'name', 'ipaddr', 'passwd' ),
	'fence_gnbd':
		( 'name', 'servers' ),
	'fence_sanbox2':
		( 'name', 'ipaddr', 'login', 'passwd' ),
	'fence_bladecenter':
		( 'name', 'ipaddr', 'login', 'passwd' ),
	'fence_mcdata':
		( 'name', 'ipaddr', 'login', 'passwd' ),
	'fence_egenera':
		( 'name', 'cserver' ),
	'fence_bullpap':
		( 'name', 'ipaddr', 'login', 'passwd' ),
	'fence_xvm':
		( 'name' ),
	'fence_lpar':
		( 'name', 'ipaddr', 'login', 'passwd' ),
	'fence_vmware':
		( 'name', 'ipaddr', 'login', 'passwd', 'vmlogin', 'vmpasswd' ),
	'fence_scsi':
		( 'name' ),
	'fence_ilo':
		( 'name', 'hostname', 'login', 'passwd' ),
	'fence_ipmilan':
		( 'name', 'ipaddr', 'login', 'passwd', 'lanplus', 'auth' ),
	'fence_drac':
		( 'name', 'ipaddr', 'login', 'passwd' ),
	'fence_rsa':
		( 'name', 'hostname', 'login', 'passwd' ),
	'fence_rps10':
		( 'name', 'device', 'port' ),
	'fence_manual':
		( 'name', 'nodename' )
}
