# Copyright (C) 2006-2008 Red Hat, Inc.
#
# This program is free software; you can redistribute
# it and/or modify it under the terms of version 2 of the
# GNU General Public License as published by the
# Free Software Foundation.

# Cluster area page types
CLUSTERLIST				= '3'
CLUSTERS				= '4'
CLUSTER					= '5'
CLUSTER_ADD				= '6'
CLUSTER_CONFIG			= '7'
CLUSTER_PROCESS			= '8'
NODE					= '9'
NODES					= '10'
NODE_LIST				= '11'
NODE_GRID				= '12'
NODE_CONFIG				= '14'
NODE_ADD				= '15'
NODE_PROCESS			= '16'
NODE_LOGS				= '17'
VM_ADD					= '18'
VM_CONFIG				= '19'
SERVICES				= '20'
SERVICE_ADD				= '21'
SERVICE_LIST			= '22'
SERVICE_CONFIG			= '23'
SERVICE					= '24'
SERVICE_PROCESS			= '25'
SERVICE_START			= '26'
SERVICE_STOP			= '27'
SERVICE_RESTART			= '28'
VM_PROCESS				= '29'
RESOURCES				= '30'
RESOURCE_ADD			= '31'
RESOURCE_LIST			= '32'
RESOURCE_CONFIG			= '33'
RESOURCE				= '34'
RESOURCE_PROCESS		= '35'
RESOURCE_REMOVE			= '36'
FDOMS					= '40'
FDOM_ADD				= '41'
FDOM_LIST				= '42'
FDOM_CONFIG				= '43'
FDOM					= '44'
FENCEDEVS				= '50'
FENCEDEV_ADD			= '51'
FENCEDEV_LIST			= '52'
FENCEDEV_CONFIG			= '53'
FENCEDEV				= '54'
CLUSTER_DAEMON			= '55'
SERVICE_DELETE			= '56'
FENCEDEV_DELETE			= '57'
FENCEDEV_NODE_CONFIG	= '58'
SERVICE_MIGRATE			= '59'
FENCE_XVM_KEY_CREATE	= '60'
CONF_EDITOR				= '80'
SYS_SERVICE_MANAGE		= '90'
SYS_SERVICE_UPDATE		= '91'

# Cluster tasks
CLUSTER_STOP			= '1000'
CLUSTER_START			= '1001'
CLUSTER_RESTART			= '1002'
CLUSTER_DELETE			= '1003'
CLUSTER_DELETE2			= '1004'

# Node tasks
NODE_LEAVE_CLUSTER		= '100'
NODE_JOIN_CLUSTER		= '101'
NODE_REBOOT				= '102'
NODE_FENCE				= '103'
NODE_DELETE				= '104'
NODE_FORCE_DELETE		= '105'

# General tasks
BASECLUSTER				= '201'
FENCEDAEMON				= '202'
MULTICAST				= '203'
QUORUMD					= '204'

PROPERTIES_TAB			= 'tab'

PROP_GENERAL_TAB		= '1'
PROP_FENCE_TAB			= '2'
PROP_MCAST_TAB			= '3'
PROP_QDISK_TAB			= '4'
PROP_GULM_TAB			= '5'

PAGETYPE				= 'pagetype'
ACTIONTYPE				= 'actiontype'
TASKTYPE				= 'tasktype'
CLUNAME					= 'clustername'
BATCH_ID				= 'batch_id'
FLAG_DESC				= 'flag_desc'
LAST_STATUS				= 'last_status'

PATH_TO_PRIVKEY	= '/var/lib/luci/var/certs/privkey.pem'
PATH_TO_CACERT	= '/var/lib/luci/var/certs/cacert.pem'

# Zope DB paths
PLONE_ROOT = 'luci'
CLUSTER_FOLDER_PATH = '/luci/systems/cluster/'
STORAGE_FOLDER_PATH = '/luci/systems/storage/'
LUCI_CLUSTER_BASE_URL = '/luci/cluster/index_html'

# Node states
NODE_ACTIVE		= '0'
NODE_INACTIVE	= '1'
NODE_UNKNOWN	= '2'

NODE_ACTIVE_STR		= 'Cluster Member'
NODE_INACTIVE_STR	= 'Not a Cluster Member'
NODE_UNKNOWN_STR	= 'Unknown State'

# cluster/node create batch task index
INSTALL_TASK			= 1
DISABLE_SVC_TASK		= 2
REBOOT_TASK				= 3
SEND_CONF				= 4
ENABLE_SVC_TASK			= 5
START_NODE				= 6
RICCI_CONNECT_FAILURE	= (-1000)

RICCI_CONNECT_FAILURE_MSG = 'Currently unable to reach the ricci agent on this node. '

# cluster/node create error messages
CLUNODE_CREATE_ERRORS = [
	'An unknown error occurred when creating this node: %s',
	'A problem occurred when installing packages: %s',
	'A problem occurred when disabling cluster services on this node: %s',
	'A problem occurred when rebooting this node: %s',
	'A problem occurred when propagating the configuration to this node: %s',
	'A problem occurred when enabling cluster services on this node: %s',
	'A problem occurred when starting this node: %s'
]

REDIRECT_SEC = 5

# cluster/node create error status messages
PRE_INSTALL = 'The install state is not yet complete.'
PRE_REBOOT	= 'Installation complete, but reboot not yet complete.'
PRE_CFG		= 'Reboot stage successful, but configuration for the cluster is not yet distributed.'
PRE_JOIN	= 'Packages are installed and configuration has been distributed, but the node has not yet joined the cluster.'

POSSIBLE_REBOOT_MESSAGE = 'This node is not currently responding and is probably rebooting as planned. This state could persist for 5 minutes or so...'

REDIRECT_MSG = ' -- You will be redirected in %d seconds.' % REDIRECT_SEC

# Log users out after 10 minutes of inactivity.

INACTIVITY_TIMEOUT_SEC = 600

# Debugging parameters. Set LUCI_DEBUG_MODE to True and LUCI_DEBUG_VERBOSITY
# to >= 2 to get full debugging output in syslog (LOG_DAEMON/LOG_DEBUG).

LUCI_DEBUG_MODE			= False
LUCI_DEBUG_NET			= False
LUCI_DEBUG_VERBOSITY	= 0
